Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.jdbc
Class GetDocumentMetadataStatement

    java.lang.Object
      |
      +--com.bea.p13n.content.document.jdbc.CallableStatement
            |
            +--com.bea.p13n.content.document.jdbc.GetDocumentMetadataStatement

public class GetDocumentMetadataStatement
extends CallableStatement

A callable statement which handles getting a single document metadata.

This expects InParam1 to be the string id of the document metadata to retrieve. OutParam1 will be the DocumentMetadataDef (or null if id not found).

Field Summary
`protected java.lang.String` | `documentId` The id of the document metadata to get.
`protected DocumentMetadataDef` | `metadata` The metadata gotten.

Fields inherited from class com.bea.p13n.content.document.jdbc.CallableStatement
`connection`

Constructor Summary
`GetDocumentMetadataStatement(Connection con)` Constructor.

Method Summary
`void` | `clearParameters()` Clear the parameters.
`void` | `close()` Close the statement.
`boolean` | `execute()` Execute the statement.
`java.lang.Object` | `getObject(int index)` Get the output parameter.
`void` | `setObject(int index, java.lang.Object obj)` Set the input parameter.
`void` | `setString(int index, java.lang.String str)` Set the input parameter string.
`boolean` | `wasNull()` Tell if the metadata out param was null.

Methods inherited from class com.bea.p13n.content.document.jdbc.CallableStatement
`addBatch, addBatch, cancel, clearBatch, clearWarnings, execute, executeBatch, executeQuery, executeQuery, executeUpdate, executeUpdate, getArray, getBigDecimal, getBigDecimal, getBlob, getBoolean, getByte, getBytes, getClob, getConnection, getDate, getDate, getDocumentProvider, getDouble, getFetchDirection, getFetchSize, getFloat, getInt, getLong, getMaxFieldSize, getMaxRows, getMetaData, getMoreResults, getObject, getQueryTimeout, getRef, getResultSet, getResultSetConcurrency, getResultSetType, getShort, getString, getTime, getTime, getTimestamp, getTimestamp, getUpdateCount, getWarnings, registerOutParameter, registerOutParameter, registerOutParameter, setArray, setAsciiStream, setBigDecimal, setBinaryStream, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setClob, setCursorName, setDate, setDate, setDouble, setEscapeProcessing, setFetchDirection, setFetchSize, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNull, setNull, setObject, setObject, setQueryTimeout, setRef, setShort, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### documentId

    protected java.lang.String documentId

  The id of the document metadata to get.

### metadata

    protected DocumentMetadataDef metadata

  The metadata gotten.

Constructor Detail

### GetDocumentMetadataStatement

    public GetDocumentMetadataStatement(Connection con)

  Constructor.

Method Detail

### close

    public void close()

  Close the statement.

  Overrides:
    close in class CallableStatement

### clearParameters

    public void clearParameters()

  Clear the parameters.

  Overrides:
    clearParameters in class CallableStatement

### execute

    public boolean execute()
                    throws java.sql.SQLException

  Execute the statement.

  Throws:
    java.sql.SQLException - thrown on an error.
  Overrides:
    execute in class CallableStatement

### setObject

    public void setObject(int index,
                          java.lang.Object obj)
                   throws java.sql.SQLException

  Set the input parameter.

  Throws:
    java.sql.SQLException - thrown on invalid args.
  Overrides:
    setObject in class CallableStatement

### setString

    public void setString(int index,
                          java.lang.String str)
                   throws java.sql.SQLException

  Set the input parameter string.

  Throws:
    java.sql.SQLException - thrown on invlid args.
  Overrides:
    setString in class CallableStatement
  See Also:
    `setObject(int, java.lang.Object)`

### getObject

    public java.lang.Object getObject(int index)
                               throws java.sql.SQLException

  Get the output parameter.

  Throws:
    java.sql.SQLException - thrown on an error.
  Overrides:
    getObject in class CallableStatement

### wasNull

    public boolean wasNull()

  Tell if the metadata out param was null.

  Overrides:
    wasNull in class CallableStatement

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved